pub struct AvatarTeam {
    pub avatar_vec: Vec<u64>,
    pub team_name: String,
    pub last_cur_avatar_guid: u64,
}

// TODO: this will be used once we implement team setup
#[allow(dead_code)]
impl AvatarTeam {
    pub fn add_avatar(&mut self, avatar_id: u64) {
        self.avatar_vec.push(avatar_id);
    }

    pub fn del_avatar(&mut self, avatar_id: u64) {
        if let Some(idx) = self.avatar_vec.iter().position(|a| *a == avatar_id) {
            self.avatar_vec.remove(idx);
        }
    }
}
